%{?nodejs_find_provides_and_requires}
Name:                nodejs-foreach
Version:             2.0.5
Release:             2
Summary:             Iterate over the key value pairs of an object
License:             MIT
URL:                 https://github.com/manuelstofer/foreach
Source0:             https://registry.npmjs.org/foreach/-/foreach-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tape)
%description
Iterate over the key value pairs of either an array-like
object or a dictionary like object.

%prep
%setup -q -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/foreach
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/foreach
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} test.js

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/foreach

%changelog
* Thu Nov 26 2020 leiju <leiju4@huawei.com> - 2.0.5-2
- delete nodejs-foreach.spec.old redundancy file

* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 2.0.5-1
- package init
